/*
 * JBoss, Home of Professional Open Source
 * Copyright 2007, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.metadata.web.spec;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import org.jboss.metadata.javaee.support.IdMetaDataImpl;

/**
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision$
 */
@XmlType(name="jsp-configType", propOrder={"taglibs", "propertyGroups"})
public class JspConfigMetaData extends IdMetaDataImpl
{
   private static final long serialVersionUID = 1;
   private List<TaglibMetaData> taglib;
   private List<JspPropertyGroup> propertyGroups;
   
   public List<TaglibMetaData> getTaglibs()
   {
      return taglib;
   }
   @XmlElement(name="taglib")
   public void setTaglibs(List<TaglibMetaData> taglib)
   {
      this.taglib = taglib;
   }

   public List<JspPropertyGroup> getPropertyGroups()
   {
      return propertyGroups;
   }
   @XmlElement(name="jsp-property-group")
   public void setPropertyGroups(List<JspPropertyGroup> propertyGroups)
   {
      this.propertyGroups = propertyGroups;
   }

}
